Subject: Re: bug#14979: 24.3; Feature Request: query-replace-backward

From: [email-masked]
Date: Tue, 30 Jul 2013 16:09:26 -0400

Thanks for your interest in my bug report.  The use case I had in mind
was changing a couple of instances of a word backwards from the point.
Typing M-- C-M-% is fewer keystrokes than pressing C-r a few times then
C-M-%.  It is also fewer keystrokes than setting the mark, then moving
through the document to find a proper starting point and finally pressing
C-M-%.

The best solution would be if the functions query-replace and
query-replace-regexp are changed so that they step backwards when
receiving a negative argument.

I have come across the website freedomsponsors.org and thought it would
be an interesting experiment to put a prize on fixing this bug.  If
anyone is interested in working on this please visit
http://www.freedomsponsors.org/core/issue/309/243-feature-request-query-replace-backward

Ben